# std::pointer_to_binary_function< _Arg1, _Arg2, _Result > Class Template Reference
[Adaptors for pointers to functions]

One of the adaptors for function pointers. More...

Inheritance diagram for std::pointer_to_binary_function< _Arg1, _Arg2, _Result >:

List of all members.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- _Result operator() (_Arg1 __x, _Arg2 __y) const
- pointer_to_binary_function (_Result(*__x)(_Arg1, _Arg2))

## Protected Attributes

- _Result(* _M_ptr )(_Arg1, _Arg2)

## Detailed Description

### template<typename _Arg1, typename _Arg2, typename _Result>
class std::pointer_to_binary_function< _Arg1, _Arg2, _Result >

One of the adaptors for function pointers.

Definition at line 442 of file stl_function.h.

## Member Typedef Documentation

typedef _Arg1 std::binary_function< _Arg1 , _Arg2 , _Result >::first_argument_type `[inherited]`

the type of the first argument (no surprises here)

Definition at line 114 of file stl_function.h.

typedef _Result std::binary_function< _Arg1 , _Arg2 , _Result >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef _Arg2 std::binary_function< _Arg1 , _Arg2 , _Result >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h